Subject: bug#36958: 27.0.50; SQL buffer local connection parameters are ignored

From: Michael Mauger <[email-masked]>
Date: Tue, 05 Jul 2022 00:29:33 +0000

Lars and Vitalie,

Sorry for the delay; June has been a time.  :|

Those two both sound familiar; I think I may have fixed or at least debugged them and obviously my fixes never made it out to the real world.  I should have some time over the next couple of weeks to see what I can do with them.

Sorry for the delay.

--
[email-masked] // FSF and SFConservancy // GNU Emacs sql.el maintainer

------- Original Message -------
On Wednesday, May 18th, 2022 at 10:25 AM, Lars Ingebrigtsen <[email-masked]> wrote:

> Vitalie Spinu [email-masked] writes:
>
> > Two related issues concerning the sql product and process parameters
> > customization.
> >
> > 1) Buffer local sql variables (sql-user, sql-server etc) are ignored by comint
> > process builder (sql-product-interactive). Happens because of the change back
> > in 2012 (f6561e1f9a56119bf) which made only the default values to take
> > effect.
> >
> > Consequently, there seem not to be a good way to customize sql process per
> > dir/buffer.
> >
> > 2) :sqli-login keys in sql-product-alist are just as well ignored. So if I
> > create a new entry in sql-product-alist with custom login details, those
> > won't take effect.
> >
> > It seems that both of these issues are contrary to the original design as
> > described in the comments section of sql.el.
>
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> Michael, do you have any comments here?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
> bloggy blog: http://lars.ingebrigtsen.no